#include "keyboard.h"


static const char *TAG = "KEYBOARD";

void keyboard_init()
{
    ESP_LOGI(TAG, "init_GPIO");
        // 配置输出引脚：cs/dc/rst
    gpio_config_t io_conf = {
        .mode = GPIO_MODE_OUTPUT,
        .pin_bit_mask = (1ULL << KEYBOARD_BL_PIN),
        .pull_up_en = GPIO_PULLUP_DISABLE,
        .pull_down_en = GPIO_PULLDOWN_DISABLE,
        .intr_type = GPIO_INTR_DISABLE,
    };
    gpio_config(&io_conf);

    gpio_set_level(KEYBOARD_BL_PIN, 1);


}